### 8.6 `ACOS` — Arccosine function

Description:
  `ACOS(X)` computes the arccosine of X (inverse of `COS(X)`).
Standard:
  Fortran 77 and later, for a complex argument Fortran 2008 or later
Class:
  Elemental function
Syntax:
  `RESULT = ACOS(X)`
Arguments:

  X | The type shall either be `REAL` with a magnitude that is less than or equal to one - or the type shall be `COMPLEX`.

Return value:
  The return value is of the same type and kind as X. The real part of the result is in radians and lies in the range 0 \leq \Re \acos(x) \leq \pi.
Example:

                program test_acos
                  real(8) :: x = 0.866_8
                  x = acos(x)
                end program test_acos

Specific names:

  Name | Argument | Return type | Standard
  `ACOS(X)` | `REAL(4) X` | `REAL(4)` | Fortran 77 and later
  `DACOS(X)` | `REAL(8) X` | `REAL(8)` | Fortran 77 and later

See also:
  Inverse function: COS